Skip to main content

Authorizations

X-Pion-Signature
string
header
required

HMAC-SHA256 signature of the raw request body using your shared secret (hex encoded). Verify by computing HMAC-SHA256(shared_secret, raw_request_body) and comparing with this header using constant-time comparison. Also validate that the timestamp is recent (within 5 minutes) and use requestId to detect replays.

Body

application/json

Sent when a manual attempt has been rejected (but the user can still try again).

eventType
string
required

Event type

Allowed value: "manual_attempt_rejected"
verificationId
string<uuid>
required

Verification ID to look up

timestamp
string<date-time>
required

ISO Timestamp - validate this is recent (e.g., within 5 minutes)

requestId
string<uuid>
required

Unique request identifier - use to detect and ignore/reject replays within the timestamp window

Response

200

Webhook received and processed successfully